%define major                   2
%define libname                 %mklibname %{name} %{major}
%define libnamedev              %mklibname %{name} -d
%define libnamestaticdev        %mklibname %{name} -d -s

Name:           fuse
Version:        2.7.1
Release:        %mkrel 2
Epoch:          0
Summary:        Interface for userspace programs to export a virtual filesystem to the kernel
License:        GPL
Group:          System/Libraries
URL:            http://sourceforge.net/projects/fuse/
Source0:        http://ovh.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Source1:        fuse-udev.nodes
Source2:        fuse-makedev.d-fuse
Source4:        fuse.init
Patch0:         fuse-udev_rules.patch
Requires(post): makedev
Requires(post): rpm-helper
Requires(preun): rpm-helper
BuildRequires:  kernel-source
BuildRequires:  libtool
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
FUSE (Filesystem in USErspace) is a simple interface for userspace
programs to export a virtual filesystem to the linux kernel.  FUSE
also aims to provide a secure method for non privileged users to
create and mount their own filesystem implementations.

%package -n %{libnamedev}
Summary:        Header files and development libraries for libfuse2
Group:          Development/C
Provides:       %{name}-devel = %{epoch}:%{version}-%{release}
Requires:       %{libname} = %{epoch}:%{version}-%{release}
Obsoletes:	%libname-devel

%description -n %{libnamedev}
Header files and development libraries for fuse.

%package -n %{libname}
Summary:        Libraries for fuse
Group:          Development/C

%description -n %{libname}
Libraries for fuse.

%package -n %{libnamestaticdev}
Summary:        Static libraries for fuse
Group:          Development/C
Provides:       %{name}-static-devel = %{epoch}:%{version}-%{release}
Requires:       %{libnamedev} = %{epoch}:%{version}-%{release}
Obsoletes:	%libname-static-devel

%description -n %{libnamestaticdev}
Static libraries for fuse.

%package -n dkms-%{name}
Summary:        Linux kernel module for FUSE (Filesystem in Userspace)
Group:          System/Kernel and hardware
Requires(post): dkms
Requires(preun): dkms

%description -n dkms-%{name}
FUSE (Filesystem in USErspace) is a simple interface for userspace
programs to export a virtual filesystem to the linux kernel.  FUSE
also aims to provide a secure method for non privileged users to
create and mount their own filesystem implementations.

This package provides the kernel module part.

%prep
%setup -q
%patch0 -p0
%{__rm} util/init_script
%{__cp} -a %{SOURCE4} util/init_script
%{__sed} -i 's|mknod|/bin/echo Disabled: mknod |g' util/Makefile.in

%build
%{__perl} -pi -e 's|INIT_D_PATH=.*|INIT_D_PATH=%{_initrddir}|' configure
%{configure2_5x} --disable-kernel-module \
 --libdir=/%{_lib} \
 --bindir=/bin \
 --exec-prefix=/
%{make}

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std}

%{__mkdir_p} %{buildroot}%{_sysconfdir}/udev/devices.d
%{__cp} -a %{SOURCE1} %{buildroot}%{_sysconfdir}/udev/devices.d/99-fuse.nodes
%{__mkdir_p} %{buildroot}%{_sysconfdir}/makedev.d
%{__cp} -a %{SOURCE2} %{buildroot}%{_sysconfdir}/makedev.d/z-fuse

%{__mkdir_p} %{buildroot}%{_libdir}
%{__mv} %{buildroot}/%{_lib}/pkgconfig %{buildroot}%{_libdir}

%{__mkdir_p} %{buildroot}%{_bindir}
pushd %{buildroot}%{_bindir}
%{__ln_s} /bin/fusermount fusermount
%{__ln_s} /bin/ulockmgr_server ulockmgr_server
popd

%{__mkdir_p} %{buildroot}%{_usrsrc}
%{__cp} -a kernel %{buildroot}%{_usrsrc}/%{name}-%{version}-%{release}

%{__cat} > %{buildroot}%{_usrsrc}/%{name}-%{version}-%{release}/dkms.conf << EOF
PACKAGE_VERSION="%{version}-%{release}"

PACKAGE_NAME="%{name}"
MAKE[0]="./configure --enable-kernel-module && %{make}"
CLEAN="%{_bindir}/test -r Makefile && %{make} clean || :"

BUILT_MODULE_NAME[0]="\$PACKAGE_NAME"
DEST_MODULE_LOCATION[0]="/kernel/fs/\$PACKAGE_NAME/"

AUTOINSTALL=yes
REMAKE_INITRD=no
EOF

%clean
%{__rm} -rf %{buildroot}

%pre
%_pre_groupadd fuse

%preun
%_preun_service fuse

%post
%_post_service fuse

%postun
%_postun_groupdel fuse

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%post -n dkms-%{name}
%{_sbindir}/dkms add -m %{name} -v %{version}-%{release} --rpm_safe_upgrade
%{_sbindir}/dkms build -m %{name} -v %{version}-%{release} --rpm_safe_upgrade
%{_sbindir}/dkms install -m %{name} -v %{version}-%{release} --rpm_safe_upgrade

if [ $1 = 1 ]; then
  %{__grep} '[^#]*%{name}' %{_sysconfdir}/modprobe.preload || /bin/echo %{name} >> %{_sysconfdir}/modprobe.preload
  /sbin/modprobe %{name}
fi

%preun -n dkms-%{name}
%{_sbindir}/dkms remove -m %{name} -v %{version}-%{release} --rpm_safe_upgrade --all ||:

%postun -n dkms-%{name}
if [ $1 = 0 ]; then
  %{__sed} -i '/.*%{name}/d' %{_sysconfdir}/modprobe.preload
fi

%files
%defattr(0644,root,root,0755)
%doc AUTHORS COPYING COPYING.LIB ChangeLog FAQ Filesystems INSTALL NEWS README README.NFS
%attr(0755,root,root) /sbin/mount.fuse
%attr(4755,root,fuse) /bin/fusermount
%attr(0755,root,root) /bin/ulockmgr_server
%attr(0755,root,root) %{_initrddir}/fuse
%config(noreplace) %{_sysconfdir}/makedev.d/z-fuse
%{_bindir}/fusermount
%{_bindir}/ulockmgr_server
%config(noreplace) %{_sysconfdir}/udev/rules.d/99-fuse.rules
%config(noreplace) %{_sysconfdir}/udev/devices.d/99-fuse.nodes
%exclude /%{_lib}/libulockmgr.a
%exclude /%{_lib}/libulockmgr.la

%files -n %{libname}
%defattr(-,root,root,0755)
/%{_lib}/*.so.*

%files -n %{libnamedev}
%defattr(-,root,root,0755)
%{_includedir}/*
/%{_lib}/libfuse.la
/%{_lib}/*.so
%{_libdir}/pkgconfig/*

%files -n %{libnamestaticdev}
%defattr(0644,root,root,0755)
/%{_lib}/libfuse.a

%files -n dkms-%{name}
%defattr(-,root,root,0755)
%{_usrsrc}/%{name}-%{version}-%{release}


%changelog
* Sun Nov 18 2007 David Walluck <walluck@mandriva.org> 0:2.7.1-2mdv2008.1
+ Revision: 109791
- fix bug #32137

* Sun Oct 21 2007 Funda Wang <fundawang@mandriva.org> 0:2.7.1-1mdv2008.1
+ Revision: 100930
- update to new version 2.7.1
- fix source tarball URL

* Tue Oct 02 2007 Olivier Blin <oblin@mandriva.com> 0:2.7.0-6mdv2008.0
+ Revision: 94480
- update to new version

* Thu Aug 30 2007 Funda Wang <fundawang@mandriva.org> 0:2.7.0-5mdv2008.0
+ Revision: 75135
- Obsoletes old devel package

* Tue Aug 14 2007 David Walluck <walluck@mandriva.org> 0:2.7.0-4mdv2008.0
+ Revision: 62857
- update to new lib policy
- don't call makedev in %%post

* Mon Aug 06 2007 David Walluck <walluck@mandriva.org> 0:2.7.0-3mdv2008.0
+ Revision: 59233
- handle makedev failure
- add udev rules from Fedora
- change file locations to those in Fedora
- libtool hack no longer needed
- parallel make seems to work

* Sat Jul 07 2007 Funda Wang <fundawang@mandriva.org> 0:2.7.0-1mdv2008.0
+ Revision: 49380
- New version

* Fri Jul 06 2007 Götz Waschk <waschk@mandriva.org> 0:2.6.5-2mdv2008.0
+ Revision: 49168
- fix pinit loop with dkms

* Sun May 27 2007 David Walluck <walluck@mandriva.org> 0:2.6.5-1mdv2008.0
+ Revision: 31779
- 2.6.5
- move .la file to devel package

* Sat Apr 28 2007 David Walluck <walluck@mandriva.org> 0:2.6.4-1mdv2008.0
+ Revision: 18825
- 2.6.4


* Mon Feb 05 2007 David Walluck <walluck@mandriva.org> 2.6.3-1mdv2007.0
+ Revision: 116181
- 2.6.3

* Fri Dec 22 2006 David Walluck <walluck@mandriva.org> 2.6.1-7mdv2007.1
+ Revision: 101618
- use correct /usr/src directory
- force initscript gprintf usage to stop additional newlines

* Fri Dec 22 2006 David Walluck <walluck@mandriva.org> 2.6.1-6mdv2007.1
+ Revision: 101424
- fix typo in initscript

* Fri Dec 22 2006 David Walluck <walluck@mandriva.org> 2.6.1-5mdv2007.1
+ Revision: 101410
- add status to initscript

* Fri Dec 22 2006 David Walluck <walluck@mandriva.org> 2.6.1-4mdv2007.1
+ Revision: 101323
- even more fixes to initscript

* Fri Dec 22 2006 David Walluck <walluck@mandriva.org> 2.6.1-3mdv2007.1
+ Revision: 101139
- more fixes to initscript
- fix initscript
  fix dkms build

* Thu Dec 21 2006 David Walluck <walluck@mandriva.org> 2.6.1-1mdv2007.1
+ Revision: 100933
- require libtool
- 2.6.1
- Import fuse

* Wed May 24 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.5.3-3mdk
- patch 0: fix udev rule for newer udev

* Tue May 23 2006 David Walluck <walluck@mandriva.org> 2.5.3-2mdk
- use %%{release} for dkms

* Tue Apr 11 2006 David Walluck <walluck@mandriva.org> 2.5.3-1mdk
- 2.5.3

* Sat Feb 25 2006 David Walluck <walluck@mandriva.org> 2.5.2-3mdk
- can't use %%configure macro in MAKE[0]

* Fri Feb 24 2006 David Walluck <walluck@mandriva.org> 2.5.2-2mdk
- replace %%make with %%{__make} for dkms module
- try --enable-kernel-module for dkms-module

* Fri Feb 24 2006 David Walluck <walluck@mandriva.org> 2.5.2-1mdk
- 2.5.2
- use macros in MAKE[0]
- add Source0 URL
- fix Group
- add Provides: %%{_lib}fuse-{,static-}devel
- mark 40-fuse.rules as %%config(noreplace)

* Wed Jan 04 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.4.2-1mdk
- from Moreno Manzini <moreno.mg@gmail.com> :
	o 2.4.2

* Tue Oct 18 2005 Olivier Thauvin <nanardon@mandriva.org> 2.4.0-1mdk
- 2.4.0

* Thu Jun 30 2005 Pascal Terjan <pterjan@mandriva.org> 2.3.0-2mdk
- add dkms subpackage

* Mon Jun 13 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.3.0-1mdk
- 2.3.0

* Thu May 19 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.2.1-2mdk
- fix provides
- compile with $RPM_OPT_FLAGS
- %%mkrel
- fix summary-ended-with-dot
- cosmetics

* Tue May 10 2005 Lenny Cartier <lenny@mandriva.com> 2.2.1-1mdk
- 2.2.1

* Tue Oct 05 2004 Tigrux <tigrux@ximian.com> 1.9-1mdk
- New version

* Tue Oct 05 2004 Tigrux <tigrux@ximian.com> 1.3-1mdk
- First rpm for Mandrake

